Skip to main content

Generating checkout link for Direct checkout flow

  • Use provided checkout domain with https scheme
    for example: https://pay.trdworld.com
  • Add /pay uri
    https://pay.trdworld.com/pay
  • Add query params with payment details
ParameterMandatoryDescriptionExample
merchant_identifierRequiredMerchant id provided upon integration1099
api_keyRequiredAPI key provided upon integration02e1fe3b-b91e-43f7-a030-58b9b785a2b3
merchant_order_idRequiredUnique payment id from your systemORD_CL_773460010
payment_method_typeOptionalCode for payment method preselected by customerBT_AR
amountRequiredAmount for payment. Minor currency units25000
currencyRequiredCurrency code for paymentARS
customer.idRequiredUnique customer id from your systemcust_3245242
customer.nameOptionalCustomer nameJohn Dow
customer.emailOptionalCustomer's emailjohn.dow@gmail.com
customer.phoneOptionalCustomer's phone number+919876543210
customer.langOptionalLanguage code for customer checkouten es hi ar
customer.kyc_levelOptional'TRUSTED' for verified customersen es hi ar
callback_urlOptionalUrl for webhook notification. You can use unique url for each payment if neededhttps://merchant.com/webhook https://merchant.com/webhook/ORD_CL_773460010
return_urlOptionalUrl to return customer upon payment has been completedhttps://merchant.com/payment/return

https://pay.trdworld.com/pay?amount=250000&currency=ARS&merchant_order_id=ORD_CL_773460010&customer.id=cust_635001&customer.name=John%20Dow&customer.email=john.dow%40gmail.com&customer.lang=en&payment_method_type=BT_AR&return_url=https%3A%2F%2Fmerchant.com%2Fpayment%2Freturn&callback_url=https%3A%2F%2Fmerchant.com%2Fwebhook%2FORD_CL_773460010&merchant_identifier=1099&api_key=02e1fe3b-b91e-43f7-a030-58b9b785a2b3

  • Calculate signature

    • Use generated url with query params as string to sign and calculate hash using HMAC-SHA256 algo with secret_key provided upon integration
    • Add parameter signature with hexadecimal calculated hash
  • Redirect customer to signed url

https://pay.trdworld.com/pay?amount=250000&currency=ARS&merchant_order_id=ORD_CL_773460010&customer.id=cust_635001&customer.name=John%20Dow&customer.email=john.dow%40gmail.com&customer.lang=en&payment_method_type=BT_AR&return_url=https%3A%2F%2Fmerchant.com%2Fpayment%2Freturn&callback_url=https%3A%2F%2Fmerchant.com%2Fwebhook%2FORD_CL_773460010&merchant_identifier=1099&api_key=02e1fe3b-b91e-43f7-a030-58b9b785a2b3&signature=ba93267add47b4358f6d4059db35efe73be236313222f20415fb7dea527d5afc